Bug 138718 - Crash after undo/redo dance (but broken before. Selecting doesn't cut image frame)
Summary: Crash after undo/redo dance (but broken before. Selecting doesn't cut image f...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Attila Bakos (NISZ)
URL:
Whiteboard:
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2020-12-07 18:42 UTC by Telesto
Modified: 2021-02-08 11:39 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Bibisect log (3.21 KB, text/plain)
2020-12-07 19:03 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2020-12-07 18:42:45 UTC
Description:
Crash after undo/redo dance (but broken before. Selecting doesn't cut image frame)

Steps to Reproduce:
1. Open attachment 163554 [details]
2. CTRL+A
3. CTRL+X -> Notice figure 1 present (weird)
4. Select the frame & press CTRL+X
5. CTRL+Z
7. CTRL+Z -> Frame with figure 1 gone (empty)
8. CTRL+Y
9. CTRL+Y -> Crash

Actual Results:
Crash

Expected Results:
No crash


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.2.0.0.alpha0+ (x64)
Build ID: 32fdb8eb3506bc8dcf013cc713fe8e5debceb940
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: nl-NL (nl_NL); UI: en-US
Calc: CL
Comment 1 Telesto 2020-12-07 18:44:11 UTC
Step 1-3 working as expected with 
Version: 7.0.0.0.beta1+ (x64)
Build ID: 2891e91a513520d68ea2b8c59c14335861a15253
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: default; VCL: win
Locale: nl-NL (nl_NL); UI: en-US
Calc: CL

So we not even getting at point 4
Comment 2 Telesto 2020-12-07 18:47:09 UTC
FWIW: Cutting of frame behaving weird in general..
Comment 3 Telesto 2020-12-07 19:03:02 UTC
Created attachment 167914 [details]
Bibisect log

Bisected to:
author	Attila Bakos (NISZ) <bakos.attilakaroly@nisz.hu>	2020-10-30 13:28:02 +0100
committer	László Németh <nemeth@numbertext.org>	2020-11-17 16:02:09 +0100
commit	a7bd634371285dbdceaf775dc31b6b586c7ca02f (patch)
tree	eea7f95832d1bfaa4a081b23271bc28d9626e018
parent	129629de708b35154a0812eaf19dd19e76e38331 (diff)
tdf#137802 tdf#84691 sw: sync anchoring of textbox with UNO
It was possible to anchor the textbox both to page and
paragraph, resulting crash during file saving.

https://cgit.freedesktop.org/libreoffice/core/commit/?id=a7bd634371285dbdceaf775dc31b6b586c7ca02f
Comment 4 Telesto 2020-12-07 19:03:49 UTC
A conformation would be nice :-)
Comment 5 zcrhonek 2020-12-07 19:17:23 UTC
I can reproduce the crash with Version: 7.2.0.0.alpha0+
Build ID: 7673b027daed248d1be4dd1a773bfc0334a00c53
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3
Locale: cs-CZ (cs_CZ.UTF-8); UI: en-US
Calc: threaded
Comment 6 Telesto 2020-12-07 20:37:27 UTC
Adding CC: to Attila Bakos
Comment 7 Attila Bakos (NISZ) 2020-12-08 09:53:54 UTC
(In reply to Telesto from comment #6)
> Adding CC: to Attila Bakos

Repro in:
Version: 7.2.0.0.alpha0+ (x64)
Build ID: e5dff842437cfaa949f66d93b3bcb6df1d6c470d
CPU threads: 8; OS: Windows 10.0 Build 19042; UI render: default; VCL: win
Locale: hu-HU (hu_HU); UI: en-US
Calc: CL

but not in:
Version: 7.2.0.0.alpha0+ (x64)
Build ID: 01241113947fc7bd7f7b765dd897bb023c8ca99c
CPU threads: 8; OS: Windows 10.0 Build 19042; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: en-US
Calc: CL

with this patch:

https://gerrit.libreoffice.org/c/core/+/107221

as soon it will be merged the problem will be solved as well.
Comment 8 Attila Bakos (NISZ) 2021-01-07 10:00:28 UTC
(In reply to Attila Bakos (NISZ) from comment #7)
> (In reply to Telesto from comment #6)
> > Adding CC: to Attila Bakos
> 
> Repro in:
> Version: 7.2.0.0.alpha0+ (x64)
> Build ID: e5dff842437cfaa949f66d93b3bcb6df1d6c470d
> CPU threads: 8; OS: Windows 10.0 Build 19042; UI render: default; VCL: win
> Locale: hu-HU (hu_HU); UI: en-US
> Calc: CL
> 
> but not in:
> Version: 7.2.0.0.alpha0+ (x64)
> Build ID: 01241113947fc7bd7f7b765dd897bb023c8ca99c
> CPU threads: 8; OS: Windows 10.0 Build 19042; UI render: Skia/Raster; VCL:
> win
> Locale: hu-HU (hu_HU); UI: en-US
> Calc: CL
> 
> with this patch:
> 
> https://gerrit.libreoffice.org/c/core/+/107221
> 
> as soon it will be merged the problem will be solved as well.

After cut, the frame disappears as it should. No crash.
Tested with:
Version: 7.2.0.0.alpha0+ (x64)
Build ID: 2298b055cab8cf8d0268ee1375a5c6e416bf1332
CPU threads: 8; OS: Windows 10.0 Build 19042; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: hu-HU
Calc: CL

setting to WFM.
Comment 9 NISZ LibreOffice Team 2021-02-08 11:39:56 UTC
Verified in
Version: 7.2.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 44b914b1e2616ca8f70e896e653a46ca93610234
CPU threads: 4; OS: Windows 10.0 Build 17134; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: hu-HU
Calc: threaded